PHPExcel

# Class: PHPExcel_DocumentProperties

Source Location: /PHPExcel/DocumentProperties.php

### Class Overview

PHPExcel_DocumentProperties

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- PROPERTY_TYPE_BOOLEAN
- PROPERTY_TYPE_DATE
- PROPERTY_TYPE_FLOAT
- PROPERTY_TYPE_INTEGER
- PROPERTY_TYPE_STRING
- PROPERTY_TYPE_UNKNOWN

### Methods

- __construct
- convertProperty
- convertPropertyType
- getCategory
- getCompany
- getCreated
- getCreator
- getCustomProperties
- getCustomPropertyType
- getCustomPropertyValue
- getDescription
- getKeywords
- getLastModifiedBy
- getManager
- getModified
- getSubject
- getTitle
- isCustomPropertySet
- setCategory
- setCompany
- setCreated
- setCreator
- setCustomProperty
- setDescription
- setKeywords
- setLastModifiedBy
- setManager
- setModified
- setSubject
- setTitle
- __clone

### Class Details

[line 36]
PHPExcel_DocumentProperties

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method convertProperty [line 478]

`static void convertProperty( $propertyValue, $propertyType)`

#### Tags:

access: | public

#### Parameters:

| $propertyValue |
| $propertyType |

[ Top ]

### static method convertPropertyType [line 536]

`static void convertPropertyType( $propertyType)`

#### Tags:

access: | public

#### Parameters:

| $propertyType |

[ Top ]

### constructor __construct [line 135]

`PHPExcel_DocumentProperties __construct( )`

Create a new PHPExcel_DocumentProperties

#### Tags:

access: | public

[ Top ]

### method getCategory [line 328]

`string getCategory( )`

Get Category

#### Tags:

access: | public

[ Top ]

### method getCompany [line 348]

`string getCompany( )`

Get Company

#### Tags:

access: | public

[ Top ]

### method getCreated [line 188]

`datetime getCreated( )`

Get Created

#### Tags:

access: | public

[ Top ]

### method getCreator [line 148]

`string getCreator( )`

Get Creator

#### Tags:

access: | public

[ Top ]

### method getCustomProperties [line 388]

`array getCustomProperties( )`

Get a List of Custom Property Names

#### Tags:

return: | of string
access: | public

[ Top ]

### method getCustomPropertyType [line 421]

`string getCustomPropertyType( string $propertyName)`

Get a Custom Property Type

#### Tags:

access: | public

#### Parameters:

string | $propertyName |

[ Top ]

### method getCustomPropertyValue [line 408]

`string getCustomPropertyValue( string $propertyName)`

Get a Custom Property Value

#### Tags:

access: | public

#### Parameters:

string | $propertyName |

[ Top ]

### method getDescription [line 268]

`string getDescription( )`

Get Description

#### Tags:

access: | public

[ Top ]

### method getKeywords [line 308]

`string getKeywords( )`

Get Keywords

#### Tags:

access: | public

[ Top ]

### method getLastModifiedBy [line 168]

`string getLastModifiedBy( )`

Get Last Modified By

#### Tags:

access: | public

[ Top ]

### method getManager [line 368]

`string getManager( )`

Get Manager

#### Tags:

access: | public

[ Top ]

### method getModified [line 218]

`datetime getModified( )`

Get Modified

#### Tags:

access: | public

[ Top ]

### method getSubject [line 288]

`string getSubject( )`

Get Subject

#### Tags:

access: | public

[ Top ]

### method getTitle [line 248]

`string getTitle( )`

Get Title

#### Tags:

access: | public

[ Top ]

### method isCustomPropertySet [line 398]

`boolean isCustomPropertySet( string $propertyName)`

Check if a Custom Property is defined

#### Tags:

access: | public

#### Parameters:

string | $propertyName |

[ Top ]

### method setCategory [line 338]

`PHPExcel_DocumentProperties setCategory( [string $pValue = ''])`

Set Category

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setCompany [line 358]

`PHPExcel_DocumentProperties setCompany( [string $pValue = ''])`

Set Company

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setCreated [line 198]

`PHPExcel_DocumentProperties setCreated( [datetime $pValue = null])`

Set Created

#### Tags:

access: | public

#### Parameters:

datetime | $pValue |

[ Top ]

### method setCreator [line 158]

`PHPExcel_DocumentProperties setCreator( [string $pValue = ''])`

Set Creator

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setCustomProperty [line 441]

`PHPExcel_DocumentProperties setCustomProperty( string $propertyName, [mixed $propertyValue = ''], [string $propertyType = NULL])`

Set a Custom Property

#### Tags:

access: | public

#### Parameters:

string | $propertyName |
mixed | $propertyValue |
string | $propertyType | 'i' : Integer 'f' : Floating Point 's' : String 'd' : Date/Time 'b' : Boolean

[ Top ]

### method setDescription [line 278]

`PHPExcel_DocumentProperties setDescription( [string $pValue = ''])`

Set Description

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setKeywords [line 318]

`PHPExcel_DocumentProperties setKeywords( [string $pValue = ''])`

Set Keywords

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setLastModifiedBy [line 178]

`PHPExcel_DocumentProperties setLastModifiedBy( [string $pValue = ''])`

Set Last Modified By

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setManager [line 378]

`PHPExcel_DocumentProperties setManager( [string $pValue = ''])`

Set Manager

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setModified [line 228]

`PHPExcel_DocumentProperties setModified( [datetime $pValue = null])`

Set Modified

#### Tags:

access: | public

#### Parameters:

datetime | $pValue |

[ Top ]

### method setSubject [line 298]

`PHPExcel_DocumentProperties setSubject( [string $pValue = ''])`

Set Subject

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setTitle [line 258]

`PHPExcel_DocumentProperties setTitle( [string $pValue = ''])`

Set Title

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method __clone [line 467]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

### Class Constants

#### PROPERTY_TYPE_BOOLEAN = 'b'

[line 39]

constants
[ Top ]

#### PROPERTY_TYPE_DATE = 'd'

[line 42]

[ Top ]

#### PROPERTY_TYPE_FLOAT = 'f'

[line 41]

[ Top ]

#### PROPERTY_TYPE_INTEGER = 'i'

[line 40]

[ Top ]

#### PROPERTY_TYPE_STRING = 's'

[line 43]

[ Top ]

#### PROPERTY_TYPE_UNKNOWN = 'u'

[line 44]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:45 +0200 by phpDocumentor 1.4.4